import { Subject } from 'rxjs';
import * as i0 from "@angular/core";
export declare class OwlDateTimeIntl {
    /**
     * Stream that emits whenever the labels here are changed. Use this to notify
     * components if the labels have changed after initialization.
     */
    readonly changes: Subject<void>;
    /** A label for the up second button (used by screen readers).  */
    upSecondLabel: string;
    /** A label for the down second button (used by screen readers).  */
    downSecondLabel: string;
    /** A label for the up minute button (used by screen readers).  */
    upMinuteLabel: string;
    /** A label for the down minute button (used by screen readers).  */
    downMinuteLabel: string;
    /** A label for the up hour button (used by screen readers).  */
    upHourLabel: string;
    /** A label for the down hour button (used by screen readers).  */
    downHourLabel: string;
    /** A label for the previous month button (used by screen readers). */
    prevMonthLabel: string;
    /** A label for the next month button (used by screen readers). */
    nextMonthLabel: string;
    /** A label for the previous year button (used by screen readers). */
    prevYearLabel: string;
    /** A label for the next year button (used by screen readers). */
    nextYearLabel: string;
    /** A label for the previous multi-year button (used by screen readers). */
    prevMultiYearLabel: string;
    /** A label for the next multi-year button (used by screen readers). */
    nextMultiYearLabel: string;
    /** A label for the 'switch to month view' button (used by screen readers). */
    switchToMonthViewLabel: string;
    /** A label for the 'switch to year view' button (used by screen readers). */
    switchToMultiYearViewLabel: string;
    /** A label for the cancel button */
    cancelBtnLabel: string;
    /** A label for the set button */
    setBtnLabel: string;
    /** A label for the range 'from' in picker info */
    rangeFromLabel: string;
    /** A label for the range 'to' in picker info */
    rangeToLabel: string;
    /** A label for the hour12 button (AM) */
    hour12AMLabel: string;
    /** A label for the hour12 button (PM) */
    hour12PMLabel: string;
    static ɵfac: i0.ɵɵFactoryDeclaration<OwlDateTimeIntl, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<OwlDateTimeIntl>;
}
